Mplayer telepítési gondok(kezdő)

 ( Newbie | 2006. szeptember 4., hétfő - 22:37 )

Üdv!
Suse 10.1-et használok(Amd van, nem 64-es). Nem sikerül felraknom az Mplayert a gépemre. Nagyon kezdő vagyok még ehhez, de már nagyon szeretném használni.
Először is megpróbáltam felrakni erről: http://packman.links2linux.org/?action=128
De ezt írta ki telepítéskor:

Installing MPlayer-1.0pre8-8.pm.svn20060811.i586[Local packages]
There are no installable providers of libdv.so.4 for MPlayer-1.0pre8-8.pm.svn20060811.i586[Local packages]
w32codec-all-20060611-0.pm.0.i586[20060903-153841] needed by MPlayer-1.0pre8-8.pm.svn20060811.i586[Local packages]
mad-0.15.1b-1.pm.3.i586[20060903-153841] needed by MPlayer-1.0pre8-8.pm.svn20060811.i586[Local packages]

Ezzel most mit kéne kezdenem, merre és hogyan? Kb 5 napja van fennt az első linux...

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

w32codec, mad csomagokat keress, mert ezek kellenek az mplayerhez. A csomagoknak gyakran vannak függőségeik, mert azok más programokat használnak a működésükhöz.
De majd egy susés megmondja, mi a pontos teendő.

--
TheReplaced@Zenwalk/current - Колизей!

Szia,

Add meg a YASTban telepitesi forrasnak a kovetkezot:

packman.iu-bremen.de/suse/10.1/

Utanna a programok telepitesenel rakeresel es telepited a kovetkezoket: w32codec-all es mplayer.

Sok sikert.

feltelepítettem e codec pack-ot, meg még mást is amit kért, de most meg ezt írja ki:

Installing MPlayer-1.0pre8-8.pm.svn20060811.i586[Local packages]
There are no installable providers of libdirectfb-0.9.so.24 for MPlayer-1.0pre8-8.pm.svn20060811.i586[Local packages]

yastban ezt találtam:
libxine1-directfb - libxine video output plugin using libdirectfb
de ezt írta ki mikor megpróbáltam telepíteni: nem telepíthető hiányos függőségek miatt
, directFB számára nincs telepíthető szolgáltató

akkor most mit?

hi,
Pakold fel az apt-t.
http://en.opensuse.org/APT -> itt el van magyarázva h hogy is lehet használni, viszont nem látok itt 10.1-hez sources.list-et :( de ha sikerül szerezned akkor csak apt-get install Mplayer/rootként persze/

Probaltad mar forgatni?

Itt van hozza leiras: http://mplayerhq.com/

nem nagyon találtam meg, mi az a forgatás?

Kb 5 napja van fennt az első linux...

Probaltad mar forgatni?

nem nagyon találtam meg, mi az a forgatás?

Letöltöd a program forrását, kicsomagolod az állományt.
Majd "cd" belépsz, olvasod a readme. install doksit és aszerint cselexel.
gcc szükséges a művelethez, ezt yast-tal tedd fel.

----------------------------------------------------------------
"A megoldas mindeki kerdesere egyszeru.
OLVASSATOK DOKUMENTACIOT!"
by thuglife

felraktam az apt-t, megpróbáltam elindítani úgy ahogy írtad, de kiírta, hogy couldn't find package Mplayer

hiányol vmi liblirc, meg libdv_client-et ha megpróbálom telepíteni az mplayer rpm-es változatát

hi,
körülnéztem a google-n és találtam sources.list-et.
http://www.phpfi.com/126004 -> erről a linkről a szöveggel írd felül a /etc/apt/sources.list file-t. Aztán rootként:
1. #apt-get update
2. #apt-get -f install
3. #apt-cache search csomag -> ezzel tudsz csomagokat keresni
/érdemes feltenni egy gui-t pl. apt-get install kynaptic grafikus felületen talán jobban átlátod a dolgot/
4. #apt-get install csomag
és elvileg kész is.

Próbáld erről az oldarról leszedni a hiányzó programokat vagy ami kell.Függőségek vizsgálatára is van lehetőség.Ha van függőség lehetőség van a közvetlen keresésére.
http://www.rpm.pbone.net

Az oldal nevéből adódóan minden amit erről az oldalról töltessz .rpm,tehát letöltés után klikk és telepszik,olyan mint a .exe.Oda telepszik ahova kell nem kell semmit másolgatnod.Suse-nél mindíg próbálj .rpm-et keresni.Ez csak jótanács.

És persze arról se feledkezzünk el, hogy 5 napja van fennt a linux a gépeden!! Szegény emberke filmet is akar nézni, nem csak a sok hibaüzenetet! :)

Az mplayer- t gondolom jobban szeretnéd grafikus felületen használni. Ehhez a "configure --help" segíthet a kitömörítés után.
Lényegében annyi a dolog, hogy bemásolod a codec-eket és egy skin-t a megadott mappákba és utána fordítod le a progit. Ha a megfelelő kapcsolókkal csinálod, akkor a gmplayer patentül fog menni és magyar is lesz és grafikus is. Persze, ha kell, akkor a konzolról is tudsz filmet nézni vele.

Összeollóztam a lényeget:
Le kell tölteni a codecpack-ot az mplayer oldalárol.
/usr/lib könyvtárba nyitni egy win32 nevû könyvtárat és ide kitömöriteni a codekeket.

A fent említett kapcsolók a magyar és grafikus felülethez:
./configure --enable-gui --language=hu --with-reallibdir=/usr/lib/win32 --with-xanimlibdir=/usr/lib/win32 --enable-xmms

(bár, még mintha hiányozna valami...)

"Originált leírás" :)

Én ez alapján csináltam és nagyon klaffa.

Ha végképp nem megy, akkor próbáld meg ezt:
Mplayer installer

SuSE?

YAST!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

Olvasd el még egyszer mit írt kbela, és csináld PONTOSAN azt.

---
If you have money, use Windows!
However, if you also have a brain, use Linux!

feltelepítettem minden féle csomagot, meg amit találtam, és most feltelepült az mplayer, de nem telepítettem alapgól grafikus felületet. Ezt utólag meg lehet vhogy csinálni? Ha a terminálba beírom, h mplayer utána pedig filenév, akkor meg kell adnom az elérési útját?

Miért kell mplayer egyáltalán? Más lejátszó nem jó? (csak azért kérdezem, mert gondolom ha mással is tudsz filmet nézni akkor ne szenvedj fölöslegesen)

--
TheReplaced@Zenwalk/current - Колизей!

szeretnék streames videókat, meg beépített videókat nézni(lehet, h ehhez más is jó, csak hát mindenki ezt ajánlja :-) )a grafikus felület megoldására tud vki megoldást?

KDE alatt kmplayer.

--
TheReplaced@Zenwalk/current - Колизей!

Ha a terminálba beírom, h mplayer utána pedig filenév, akkor meg kell adnom az elérési útját?

igen, vagy "cd /ahol/a/fájl/van" és ekkor más nem kell!

----------------------------------------------------------------
"A megoldas mindeki kerdesere egyszeru.
OLVASSATOK DOKUMENTACIOT!"
by thuglife

Istenem, Newbie, mit össze nem szenvedsz egy 5 perces feladattal!

És micsoda érzékkel választod ki az itteni javaslatok közül a legbonyolultabbakat...

Még egyszer leírom: ez SUSE, ahol szoftver telepítésre a yast való, úgyhogy szedjél le szépen MINDENT, amit itt javasoltak neked; felejtsd el azt az mplayer rpm-et, amit esetleg letöltöttél valahonnan, felejtsd el a forrásból telepítést, mert ráérsz még azzal később kínlódni, amikor majd tapasztaltabb leszel; ehelyett menj be a yast-ba, és telepítsd azzal az mplayert:

1. add meg a telepítési forrást amit Kbela javasolt neked, mégpedig úgy, hogy az legyen a telepítési források közül a legelső, majd
2. menj be a yast-ban a "szoftver telepítése" modulba,
3. keresd ki ott az mplayert a telepíthető csomagok közül,
4. jelöld meg telepítésre, és
5. és kattints a "telepítés" gombra.

Ha így teszel, 5 percen belül a gépeden lesz az mplayer, grafikus felülettel, és úgy, hogy még a menükbe is bekerül. A yast ugyanis letölti és telepíti neked az összes függőségeivel együtt.

Ha viszont nem így csinálod, akkor kínlódhatsz magad a függőségek feloldásával, meg a menübe illesztéssel; plusz úgy összekutyulod a rendszeredet, hogy később már nem is nagyon fogod tudni a yastot használni korrekt szoftver telepítésre. Pedig messze a yast a legkényelmesebb szoftvertelepítő eszköz azok közül, amivel eddig találkoztam linuxon innen és túl. Csak egy kis időt kellene áldoznod arra, hogy megértsd, hogyan működik...

---
If you have money, use Windows!
However, if you also have a brain, use Linux!

megpróbáltam már így felrakni,de most is kiírta, hogy kell neki a libdv.so.4, meg a liblirc_client... úgy raktam fel, hogy ezeket kihagytam, de úgy meg nem indult, mert kellett neki ez a 2 file. rákerestem: apt-cache search libdv, ezt megpróbáltam felrakni, de ezt írta ki(vmi ilyesmit) fix broken install. Megcsináltam, mostmár működik is! Köszi szépen mindenkinek a segítséget!
LMár csak arra válaszoljatok légyszives, hogy hogyan lehet letörölni programokat!(amit nem yasttal telepítettem, hanem pl terminálban, vagy akárhogy máshogy)
Előre is köszi!

"megpróbáltam már így felrakni,de most is kiírta, hogy kell neki a libdv.so.4, meg a liblirc_client..."

Különös. A packman-nél én még sohasem találkoztam ilyen problémás csomaggal. Pedig az mplayert is mindig onnan telepítettem.
Amit leírsz, az nálam csak akkor fordult még elő, ha régen adtam hozzá egy telepítési forrást; közben megváltoztak (frissültek) az ott lévő csomagok, én pedig elfelejtettem a telepítési forrást frissíteni egy új csomag telepítése előtt (a telepítési forrást ugyanis nem elég egyszer hozzáadni; időnként frissíteni is kell, különben a gépeden lévő csomaglista nem lesz konzisztens).

"Már csak arra válaszoljatok légyszives, hogy hogyan lehet letörölni programokat!"

A forrásból felrakott cuccoknak mindig van egy INSTALL vagy README fájlja a forráskönyvtárban, ami leírja a leszedés menetét is. (Egyébként többnyire "make uninstall")

Amit rpm-ből raktál fel, azt "rpm -e csomagnev" paranccsal lehet leszedni.

Amit apt-get-el raktál fel, ahhoz nem tudok hozzászólni, mert ezt nem ismerem. El kell olvasni az apt-get kézikönyvét.

---
If you have money, use Windows!
However, if you also have a brain, use Linux!

apt-get remove --purge [...csomagnév...]

Ez leszedi a ".deb" csomagból telepített file-okat az összes konfigurációs file-lal együtt. Viszont itt előjöhet probléma akkor, ha pl. egy ugyanabból a csomagból felraktad a ".deb"-es és ".rpm"-es változatát is. Erősen elképzehető, hogy az rpm és az apt-get (vagy dpkg) a külön-külön csomagokból egy helyre (egy könyvtárba) rakja fel ugyanazokat a file-okat és így felülírja a másik csomagból feltelepítettet, noha neked szerepel az rpm és dpkg adatbázisában is az, hogy telepítve. Ezzel az eljárással tökéletesen össze tudod gubancolni a rendszeredet, ha egyszer leszeded valamelyik változatot.

Én is erősen azt javaslom, amit kbela és j_szucs már előttem leírtak, hogy ha Suse, akkor CSAK Yast-ot használj telepítésre és kész! Alapszabály, hogy (hacsak nem akarod magad halálra szívatni, hogy) EGY disztribúcióhoz mindig célszerű csak EGY csomagkezelőt használni. Ez általában az lesz, amivel a disztribúció dolgozik. Mandrivánál, Red Hat-nál, Suse-nél rpm (YAST!), Debian-nál, Ubuntu-nál deb (apt-get!).

Mindezek után már azt tanácsolom, hogy inkább szedjál le mindent, amit eddig feltettél és kezdd újra tiszta lappal Yast-tal! Csak így lehetsz biztos abban, hogy minden jól fog működni a későbbiekben és ezzel megkíméled magad egy csomó szívástól is. Sok sikert!

- waiter -

probald ki a vlc-t. videolan.org

rpm:

http://packman.links2linux.de/download.php?t=b&id=24721

42

Sziasztok!
Ezzel a configgal próbálom fordítani az svn-ről levett mplayert:

./configure --enable-menu --enable-xshape --disable-xmms --language=hu --enable-debug --enable-x264 --enable-twolame --enable-libdv --enable-mp3lame --enable-faad --codecsdir=/usr/local/lib/codecs/

, de a ./configure lefutása után elszáll ubuntu 10.04-en a make parancs ezzel az üzenettel a végén:

ffmpeg/libavcodec/libavcodec.a(libx264.o): In function `X264_frame':
/mplayer/ffmpeg/libavcodec/libx264.c:92: undefined reference to `x264_picture_init'
/mplayer/ffmpeg/libavcodec/libx264.c:107: undefined reference to `x264_encoder_encode'
/mplayer/ffmpeg/libavcodec/libx264.c:113: undefined reference to `x264_encoder_delayed_frames'
ffmpeg/libavcodec/libavcodec.a(libx264.o): In function `X264_close':
/mplayer/ffmpeg/libavcodec/libx264.c:146: undefined reference to `x264_encoder_close'
ffmpeg/libavcodec/libavcodec.a(libx264.o): In function `X264_init':
/mplayer/ffmpeg/libavcodec/libx264.c:156: undefined reference to `x264_param_default'
/mplayer/ffmpeg/libavcodec/libx264.c:300: undefined reference to `x264_encoder_open_106'
/mplayer/ffmpeg/libavcodec/libx264.c:310: undefined reference to `x264_encoder_headers'
collect2: ld returned 1 exit status
make: *** [mplayer] Error 1

Nem értem mi lehet a baja az x264-gyel.